sgl.algorithm.config {sglOptim} | R Documentation

## Create a new algorithm configuration

### Description

With the exception of `verbose` it is not recommended to change any of the default values.

### Usage

    sgl.algorithm.config(tolerance_penalized_main_equation_loop = 1e-10,
      tolerance_penalized_inner_loop_alpha = 1e-04,
      tolerance_penalized_inner_loop_beta = 1,
      tolerance_penalized_middel_loop_alpha = 0.01,
      tolerance_penalized_outer_loop_alpha = 0.01,
      tolerance_penalized_outer_loop_beta = 0,
      tolerance_penalized_outer_loop_gamma = 1e-05,
      use_bound_optimization = TRUE,
      use_stepsize_optimization_in_penalizeed_loop = TRUE,
      stepsize_opt_penalized_initial_t = 1, stepsize_opt_penalized_a = 0.1,
      stepsize_opt_penalized_b = 0.1, max_iterations_outer = 10000,
      inner_loop_convergence_limit = 10000, verbose = TRUE)

### Arguments

`tolerance_penalized_main_equation_loop` | tolerance threshold.
`tolerance_penalized_inner_loop_alpha` | tolerance threshold.
`tolerance_penalized_inner_loop_beta` | tolerance threshold.
`tolerance_penalized_middel_loop_alpha` | tolerance threshold.
`tolerance_penalized_outer_loop_alpha` | tolerance threshold.
`tolerance_penalized_outer_loop_beta` | tolerance threshold.
`tolerance_penalized_outer_loop_gamma` | tolerance threshold.
`use_bound_optimization` | if `TRUE` hessian bound check will be used.
`use_stepsize_optimization_in_penalizeed_loop` | if `TRUE` step-size optimization will be used.
`stepsize_opt_penalized_initial_t` | initial step-size.
`stepsize_opt_penalized_a` | step-size optimization parameter.
`stepsize_opt_penalized_b` | step-size optimization parameter.
`max_iterations_outer` | max iteration of outer loop
`inner_loop_convergence_limit` | inner loop convergence limit.
`verbose` | If `TRUE` some information, regarding the status of the algorithm, will be printed in the R terminal.

### Value

A configuration.

### Author(s)

Martin Vincent

### Examples

    config.no_progressbar <- sgl.algorithm.config(verbose = FALSE)

[Package sglOptim version 1.3.8 Index]